Subject: bug#76765: 30.1; macOS dictation used to work with Emacs < 30.1

From: Charles Choi <[email-masked]>
Date: Wed, 12 Mar 2025 10:38:20 -0700

Ship Mints -

To clarify I am only discussing usage of voice dictation when Emacs is run in GUI mode. The use case of using voice dictation through a terminal emulator would be the responsibility of the terminal emulator and _not_ Emacs.

Charles

—
Charles Y. Choi, Ph.D.
[email-masked]

> On Mar 12, 2025, at 3:19 AM, Ship Mints <[email-masked]> wrote:
> 
> Thank you.  I'm trying to reproduce this myself.  Did dictation using Emacs ever work for you on older macOS versions?  The macports Emacs seems to have no special patches and builds the same sources I do.  I do see dictation works in Terminal.app.  Dictation does not work in other terminal emulators like kitty or wezterm.  If I can help fix this, I will try.  It'll be way easier if I/we can reproduce a working experience...